## org.eclipse.emf.ecore.impl
Class EStringToStringMapEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl

All Implemented Interfaces:
  java.util.Map.Entry<java.lang.String,java.lang.String>, Notifier, BasicEMap.Entry<java.lang.String,java.lang.String>, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EStringToStringMapEntryImpl

extends MinimalEObjectImpl.Container
implements BasicEMap.Entry<java.lang.String,java.lang.String>

An implementation of the model object 'EString To String Map Entry'.

The following features are implemented:

- `Key`
- `Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected int` `hash`
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected java.lang.String` `value` The cached value of the '`Value`' attribute
`protected static java.lang.String` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EStringToStringMapEntryImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EMap<java.lang.String,java.lang.String>` `getEMap()`
`int` `getHash()`
`java.lang.String` `getKey()`
`java.lang.String` `getTypedKey()`
`java.lang.String` `getTypedValue()`
`java.lang.String` `getValue()`
`void` `setHash(int hash)`
`void` `setKey(java.lang.String key)`
`void` `setTypedKey(java.lang.String newKey)`
`void` `setTypedKeyGen(java.lang.String newKey)`
`void` `setTypedValue(java.lang.String newValue)`
`java.lang.String` `setValue(java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eInvoke, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`

### VALUE_EDEFAULT

    protected static final java.lang.String VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getTypedValue()`

### value

    protected java.lang.String value

  The cached value of the '`Value`' attribute.

  See Also:
    `getTypedValue()`

### hash

    protected int hash

Constructor Detail

### EStringToStringMapEntryImpl

    protected EStringToStringMapEntryImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicEObjectImpl`

### getTypedKey

    public java.lang.String getTypedKey()

### setTypedKeyGen

    public void setTypedKeyGen(java.lang.String newKey)

### setTypedKey

    public void setTypedKey(java.lang.String newKey)

### getTypedValue

    public java.lang.String getTypedValue()

### setTypedValue

    public void setTypedValue(java.lang.String newValue)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getHash

    public int getHash()

  Specified by:
    `getHash` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`

### setHash

    public void setHash(int hash)

  Specified by:
    `setHash` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`
  Parameters:
    `hash` - the hash.

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### setKey

    public void setKey(java.lang.String key)

  Specified by:
    `setKey` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`
  Parameters:
    `key` - the key.

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### setValue

    public java.lang.String setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### getEMap

    public EMap<java.lang.String,java.lang.String> getEMap()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.